org.eclipse.aether.resolution

## Class VersionRequest

- java.lang.Object
- - org.eclipse.aether.resolution.VersionRequest

-     public final class VersionRequest
      extends Object

  A request to resolve a metaversion.
  See Also:
    `RepositorySystem.resolveVersion(RepositorySystemSession, VersionRequest)`

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `VersionRequest()` Creates an uninitialized request.
    `VersionRequest(Artifact artifact, List<RemoteRepository> repositories, String context)` Creates a request with the specified properties.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `VersionRequest` | `addRepository(RemoteRepository repository)` Adds the specified repository for the resolution.
    `Artifact` | `getArtifact()` Gets the artifact whose (meta-)version shall be resolved.
    `List<RemoteRepository>` | `getRepositories()` Gets the repositories to resolve the version from.
    `String` | `getRequestContext()` Gets the context in which this request is made.
    `RequestTrace` | `getTrace()` Gets the trace information that describes the higher level request/operation in which this request is issued.
    `VersionRequest` | `setArtifact(Artifact artifact)` Sets the artifact whose (meta-)version shall be resolved.
    `VersionRequest` | `setRepositories(List<RemoteRepository> repositories)` Sets the repositories to resolve the version from.
    `VersionRequest` | `setRequestContext(String context)` Sets the context in which this request is made.
    `VersionRequest` | `setTrace(RequestTrace trace)` Sets the trace information that describes the higher level request/operation in which this request is issued.
    `String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### VersionRequest

          public VersionRequest()

      Creates an uninitialized request.

    - #### VersionRequest

          public VersionRequest(Artifact artifact,
                        List<RemoteRepository> repositories,
                        String context)

      Creates a request with the specified properties.
      Parameters:
        `artifact` - The artifact whose (meta-)version should be resolved, may be `null`.
        `repositories` - The repositories to resolve the version from, may be `null`.
        `context` - The context in which this request is made, may be `null`.

  - ### Method Detail

    - #### getArtifact

          public Artifact getArtifact()

      Gets the artifact whose (meta-)version shall be resolved.
      Returns:
        The artifact or `null` if not set.

    - #### setArtifact

          public VersionRequest setArtifact(Artifact artifact)

      Sets the artifact whose (meta-)version shall be resolved.
      Parameters:
        `artifact` - The artifact, may be `null`.
      Returns:
        This request for chaining, never `null`.

    - #### getRepositories

          public List<RemoteRepository> getRepositories()

      Gets the repositories to resolve the version from.
      Returns:
        The repositories, never `null`.

    - #### setRepositories

          public VersionRequest setRepositories(List<RemoteRepository> repositories)

      Sets the repositories to resolve the version from.
      Parameters:
        `repositories` - The repositories, may be `null`.
      Returns:
        This request for chaining, never `null`.

    - #### addRepository

          public VersionRequest addRepository(RemoteRepository repository)

      Adds the specified repository for the resolution.
      Parameters:
        `repository` - The repository to add, may be `null`.
      Returns:
        This request for chaining, never `null`.

    - #### getRequestContext

          public String getRequestContext()

      Gets the context in which this request is made.
      Returns:
        The context, never `null`.

    - #### setRequestContext

          public VersionRequest setRequestContext(String context)

      Sets the context in which this request is made.
      Parameters:
        `context` - The context, may be `null`.
      Returns:
        This request for chaining, never `null`.

    - #### getTrace

          public RequestTrace getTrace()

      Gets the trace information that describes the higher level request/operation in which this request is issued.
      Returns:
        The trace information about the higher level operation or `null` if none.

    - #### setTrace

          public VersionRequest setTrace(RequestTrace trace)

      Sets the trace information that describes the higher level request/operation in which this request is issued.
      Parameters:
        `trace` - The trace information about the higher level operation, may be `null`.
      Returns:
        This request for chaining, never `null`.

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`

Copyright © 2010-2014 The Eclipse Foundation. All Rights Reserved.